setwd("C:/Users/andrzej.toroj/Desktop/")
#cell 1,1 removed after conversion to xls

modes <- c("com", "dis")
for (mm in modes) {

  data_com <- read.csv(paste("data_isoquants_", mm, ".csv", sep = ""), sep = ";", dec = ",", header = FALSE, quote="",stringsAsFactors = FALSE)
  heads <- data.frame(as.vector(data_com[-1,1]), 4*100*t(as.matrix(as.vector(data_com[1,-1]))))
  colnames(heads) <- c("rho", "LB")
  data_com <- as.matrix(data_com[2:101,2:101]) 
  
  remove_initial_rho <- 30
  data_com <- data_com[(remove_initial_rho+1):100, ]
  heads_rho <- heads$rho[(remove_initial_rho+1):100]
  
  rhos <- c(0.5, 0.8)
  LBs <- c(-2, 0, 2, 4)
  POI <- c(data_com[heads_rho==0.8,heads$LB==-2],
           data_com[heads_rho==0.8,heads$LB==0 ],
           data_com[heads_rho==0.8,heads$LB==2 ],
           data_com[heads_rho==0.8,heads$LB==4 ],
           data_com[heads_rho==0.5,heads$LB==-2],
           data_com[heads_rho==0.5,heads$LB==0 ],
           data_com[heads_rho==0.5,heads$LB==2 ],
           data_com[heads_rho==0.5,heads$LB==4 ])
  
  options(scipen = 100000)
  testpoints = data.frame(c(0.8, 0.8, 0.8, 0.8, 0.5, 0.5, 0.5, 0.5),
                          c( -2,   0,   2,   4,  -2,   0,   2,   4) )
  colnames(testpoints) <- colnames(heads)
  
  png(file = paste("sensitivity_LB_", mm, ".png", sep = ""), width = 700, height = 400)
  contour(x = heads_rho,
          y = heads$LB,
          z = data_com,
          #xlim = c(0.1, 1),
          levels = POI,
          labels = paste("rho = ", testpoints$rho, ", LB = ", testpoints$LB, sep = ""), 
          labcex = 0.9,
          ylab = "lower bound [%]",
          xlab = "rho",
          method = "edge",
          axis(1, at = c(0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9)))
          
  rect(rhos[1],LBs[2],rhos[2],LBs[3], col = rgb(0.9,0.9,0.9,alpha=0.5), border = FALSE)
  points(x = testpoints$rho, y = testpoints$LB, pch = 19, cex = 1.5)
  abline(h = 0, col = rgb(0.6, 0.6, 0.6), lty = 3)
  abline(h = 2, col = rgb(0.6, 0.6, 0.6), lty = 3)
  abline(v = 0.5, col = rgb(0.6, 0.6, 0.6), lty = 3)
  abline(v = 0.8, col = rgb(0.6, 0.6, 0.6), lty = 3)
  arrows(x0 = 0.1, y0 = -2, x1 = 0.2, y1 = -1)
  text(x=0.05, y = -1.5, labels = "higher loss", lwd = 3)
  dev.off()
}
